Arch SplitMesh/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/ro")
(Updating to match new version of source page)
 
(15 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand|Name=Arch SplitMesh|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Split Mesh|SeeAlso=[[Arch SelectNonSolidMeshes]]}}
{{Docnav
|[[Arch_CloneComponent|Clonecomponent]]
|[[Arch_MeshToShape|MeshToShape]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloneComponent.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch SplitMesh
|Name/ro=Arch SplitMesh
|MenuLocation=Arch → Utilities → Split Mesh
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch SelectNonSolidMeshes]], [[Arch MeshToShape]]
}}
</div>


==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
Acest instrument împarte un obiect selectat [[Mesh Module | Mesh]] în componentele sale separate
Acest instrument împarte un obiect selectat [[Mesh Workbench | Mesh]] în componentele sale separate
</div>


<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
# Selectați un obiect tip plasă
# Selectați un obiect tip plasă
# Apăsați {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} entry in Arch -> Utilities menu
# Apăsați {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} entry in Arch -> Utilities menu
</div>


==Scripting==

<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>


<div class="mw-translate-fuzzy">
Instrumentul Split Mesh poate fi utilizat în [[macros]] și din consola python utilizând următoarea funcție:
Instrumentul Split Mesh poate fi utilizat în [[macros]] și din consola python utilizând următoarea funcție:
</div>

{{Code|code=
{{Code|code=
new_list = splitMesh(obj, mark=True)
splitMesh (object,[mark])
}}
}}

<div class="mw-translate-fuzzy">
împarte obiectul tip plasă dat în componente separate.
împarte obiectul tip plasă dat în componente separate.
</div>


Example:
Dacă marcajul este Fals, nu se mai face altceva. Dacă marcajul este True (implicit), obiectele non printabile (non [http://en.wikipedia.org/wiki/Manifold manifold]) vor fi vopsite în roșu.

{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)
}}


{{Docnav
|[[Arch_CloneComponent|Clonecomponent]]
|[[Arch_MeshToShape|MeshToShape]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloneComponent.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}


{{Arch_Tools_navi{{#translation:}}}}
[[Category:Arch/ro]]
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:52, 12 March 2022

Arch SplitMesh

poziția meniului
Arch → Utilities → Split Mesh
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch SelectNonSolidMeshes, Arch MeshToShape

Descriere

Acest instrument împarte un obiect selectat Mesh în componentele sale separate

Cum se folosește

  1. Selectați un obiect tip plasă
  2. Apăsați Split Mesh entry in Arch -> Utilities menu

Scripting

Scrip-Programare

Instrumentul Split Mesh poate fi utilizat în macros și din consola python utilizând următoarea funcție:

new_list = splitMesh(obj, mark=True)

împarte obiectul tip plasă dat în componente separate.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)